package ink.wgink.module.wechat.service.official.account;

import ink.wgink.module.wechat.enums.XmlEventTypeEnum;
import ink.wgink.module.wechat.pojo.vos.official.account.OfficialAccountUserPO;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IOfficialAccountUserService
 * @Description: 公众号用户
 * @Author: wanggeng
 * @Date: 2021/4/28 6:15 下午
 * @Version: 1.0
 */
public interface IOfficialAccountUserService {

    /**
     * 新增用户
     *
     * @param officialAccountUserPO
     */
    void save(OfficialAccountUserPO officialAccountUserPO);

    /**
     * 修改状态
     *
     * @param fromUserName
     * @param unsubscribe
     */
    void updateStatus(String fromUserName, XmlEventTypeEnum unsubscribe);
}
